Package: javax.swing.table

## Interface TableColumnModel

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `TableColumn` | `getAt(int index)` Support the subscript operator for TableColumnModel.
    `Iterator` | `iterator()` Returns an Iterator which traverses the TableColumnModel one TableColumn at a time.
    `TableColumnModel` | `leftShift(TableColumn column)` Overloads the left shift operator to provide an easy way to add columns to a TableColumnModel.
    `int` | `size()` Provide the standard Groovy `size()` method for `TableColumnModel`.

- - ### Methods Detail

    - #### public TableColumn getAt(int index)

      Support the subscript operator for TableColumnModel.

      Parameters:
        `index` - the index of the column to get
      Returns:
        the column at the given index
      Since:
        1.6.4

    - #### public Iterator iterator()

      Returns an Iterator which traverses the TableColumnModel one TableColumn at a time.

      Returns:
        an Iterator for a TableColumnModel
      Since:
        1.6.4

    - #### public TableColumnModel leftShift(TableColumn column)

      Overloads the left shift operator to provide an easy way to add columns to a TableColumnModel.

      Parameters:
        `column` - a TableColumn to be added to the model.
      Returns:
        same model, after the value was added to it.
      Since:
        1.6.4

    - #### public int size()

      Provide the standard Groovy `size()` method for `TableColumnModel`.

      Returns:
        the column count of the TableColumnModel
      Since:
        1.6.4